* {
  touch-action: manipulation;
}

body {
  margin: 0;
  padding: 0;
  display: block;
  color: white;
  background-color: rgb(24, 23, 23);
}

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700;800;900&display=swap');
.section-center {
  position: absolute;
  top: 50%;
  left: 0;
  display: block;
  width: 100%;
  padding: 0;
  margin: 0;
  z-index: 6;
  text-align: center;
  transform: translateY(-50%);
}

[type="checkbox"]:checked,
[type="checkbox"]:not(:checked){
  position: absolute;
  left: -9999px;
}

.menu-icon:checked + label,
.menu-icon:not(:checked) + label{
  position: fixed;
  top: 63px;
  right: 75px;
  display: block;
  width: 30px;
  height: 30px;
  padding: 0;
  margin: 0;
  cursor: pointer;
  z-index: 10;
}

.menu-icon:checked + label:before,
.menu-icon:not(:checked) + label:before{
  position: absolute;
  content: '';
  display: block;
  width: 30px;
  height: 20px;
  z-index: 20;
  top: 0;
  left: 0;
  border-top: 2px solid #ececee;
  border-bottom: 2px solid #ececee;
  transition: border-width 100ms 1500ms ease, 
              top 100ms 1600ms cubic-bezier(0.23, 1, 0.32, 1),
              height 100ms 1600ms cubic-bezier(0.23, 1, 0.32, 1), 
              background-color 200ms ease,
              transform 200ms cubic-bezier(0.23, 1, 0.32, 1);
}

.menu-icon:checked + label:after,
.menu-icon:not(:checked) + label:after{
  position: absolute;
  content: '';
  display: block;
  width: 22px;
  height: 2px;
  z-index: 20;
  top: 10px;
  right: 4px;
  background-color: #ececee;
  margin-top: -1px;
  transition: width 100ms 1750ms ease, 
              right 100ms 1750ms ease,
              margin-top 100ms ease, 
              transform 200ms cubic-bezier(0.23, 1, 0.32, 1);
}

.menu-icon:checked + label:before{
  top: 10px;
  transform: rotate(45deg);
  height: 2px;
  background-color: #ececee;
  border-width: 0;
  transition: border-width 100ms 340ms ease, 
              top 100ms 300ms cubic-bezier(0.23, 1, 0.32, 1),
              height 100ms 300ms cubic-bezier(0.23, 1, 0.32, 1), 
              background-color 200ms 500ms ease,
              transform 200ms 1700ms cubic-bezier(0.23, 1, 0.32, 1);
}

.menu-icon:checked + label:after{
  width: 30px;
  margin-top: 0;
  right: 0;
  transform: rotate(-45deg);
  transition: width 100ms ease,
              right 100ms ease,  
              margin-top 100ms 500ms ease, 
              transform 200ms 1700ms cubic-bezier(0.23, 1, 0.32, 1);
}

.lang-switch li button {
  color: black;
  border-radius: 20px;
}

.nav{
    pointer-events: none;
  position: fixed;
  top: 33px;
  right: 50px;
  display: block;
  width: 80px;
  height: 80px;
  padding: 0;
  margin: 0;
  z-index: 9;
  overflow: hidden;
  box-shadow: 0 8px 30px 0 rgba(0,0,0,0.3);
  background-color: #353746;
  animation: border-transform 7s linear infinite;
  transition: top 350ms 1100ms cubic-bezier(0.23, 1, 0.32, 1),  
              right 350ms 1100ms cubic-bezier(0.23, 1, 0.32, 1),
              transform 250ms 1100ms ease,
              width 650ms 400ms cubic-bezier(0.23, 1, 0.32, 1),
              height 650ms 400ms cubic-bezier(0.23, 1, 0.32, 1);
}
@keyframes border-transform{
    0%,100% { border-radius: 63% 37% 54% 46% / 55% 48% 52% 45%; } 
  14% { border-radius: 40% 60% 54% 46% / 49% 60% 40% 51%; } 
  28% { border-radius: 54% 46% 38% 62% / 49% 70% 30% 51%; } 
  42% { border-radius: 61% 39% 55% 45% / 61% 38% 62% 39%; } 
  56% { border-radius: 61% 39% 67% 33% / 70% 50% 50% 30%; } 
  70% { border-radius: 50% 50% 34% 66% / 56% 68% 32% 44%; } 
  84% { border-radius: 46% 54% 50% 50% / 35% 61% 39% 65%; } 
}

.menu-icon:checked ~ .nav {
    pointer-events: auto;
  animation-play-state: paused;
  top: 50%;
  right: 50%;
  transform: translate(50%, -50%);
  width: 200%;
  height: 200%;
  transition: top 350ms 700ms cubic-bezier(0.23, 1, 0.32, 1),  
              right 350ms 700ms cubic-bezier(0.23, 1, 0.32, 1),
              transform 250ms 700ms ease,
              width 750ms 1000ms cubic-bezier(0.23, 1, 0.32, 1),
              height 750ms 1000ms cubic-bezier(0.23, 1, 0.32, 1);
}

.nav ul{
  position: absolute;
  top: 50%;
  left: 0;
  display: block;
  width: 100%;
  padding: 0;
  margin: 0;
  z-index: 6;
  text-align: center;
  transform: translateY(-50%);
  list-style: none;
}
.nav ul li{
  position: relative;
  display: block;
  width: 100%;
  padding: 0;
  margin: 10px 0;
  text-align: center;
  list-style: none;
  pointer-events: none;
  opacity: 0;
  visibility: hidden;
  transform: translateY(30px);
  transition: all 250ms linear;
}
.nav ul li:nth-child(1){
  transition-delay: 200ms;
}
.nav ul li:nth-child(2){
  transition-delay: 150ms;
}
.nav ul li:nth-child(3){
  transition-delay: 100ms;
}
.nav ul li:nth-child(4){
  transition-delay: 50ms;
}
.nav ul li a{
  font-family: 'Montserrat', sans-serif;
  text-decoration: none;
  font-size: 3vh;
  text-transform: uppercase;
  line-height: 1.2;
  font-weight: 800;
  display: inline-block;
  position: relative;
  color: #ececee;
  transition: all 250ms linear;
}
.nav ul li a:hover{
  text-decoration: none;
  color: #ffeba7;
}
.nav ul li a:after{
  display: block;
  position: absolute;
  top: 50%;
  content: '';
  height: 2vh;
  margin-top: -1vh;
  width: 0;
  left: 0;
  background-color: #353746;
  opacity: 0.8;
  transition: width 250ms linear;
}
.nav ul li a:hover:after{
  width: 100%;
}

.menu-icon:checked ~ .nav  ul li {
  pointer-events: auto;
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
  transition: opacity 350ms ease,
              transform 250ms ease;
}
.menu-icon:checked ~ .nav ul li:nth-child(1){
  transition-delay: 1400ms;
}
.menu-icon:checked ~ .nav ul li:nth-child(2){
  transition-delay: 1480ms;
}
.menu-icon:checked ~ .nav ul li:nth-child(3){
  transition-delay: 1560ms;
}
.menu-icon:checked ~ .nav ul li:nth-child(4){
  transition-delay: 1640ms;
}

@media screen and (max-width: 991px) {
  .menu-icon:checked + label,
  .menu-icon:not(:checked) + label{
    right: 55px;
  }
  .nav{
    right: 30px;
  }
  .nav ul li a{
    font-size: 3vh;
  }
}

.hero-logo {
  width: 70px;
  height: 70px;
  margin-bottom: 16px;
  padding: 10px;
}

.aura-menu-start-page {
  color: white;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 1.7;
}

.aura-menu-start-page h1 {
  font-size: 25px;
}

.fade-in {
  opacity: 0;
  transform: translateY(300px);
  transition:
    opacity 6s cubic-bezier(0.22, 1, 0.36, 1),
    transform 2s cubic-bezier(0.22, 1, 0.36, 1);
}

.anim-p {
  opacity: 0;
  transform: translateY(-300px);
  animation: textReveal 2s cubic-bezier(0.22, 1, 0.36, 1) forwards;
  animation-delay: 0.5s;
}

.fade-in.active {
  opacity: 1;
  transform: translateY(0);
}

.menu-hero {
  text-align: center;
  padding: 100px 20px;
  background: #0f0f0f;
}

.line {
  width: 0;
  height: 2px;
  background: linear-gradient(90deg, transparent, #c6a96f, transparent);
  margin: 0 auto 30px;
}

.top {
  animation: lineReveal 2s ease-out forwards;
  animation-delay: 1.5s
}

.bottom {
  animation: lineReveal 0.5s ease-out forwards;
  animation-delay: 2.7s;
}

@keyframes lineReveal {
  to {
    width: 300px;
  }
}

.menu-title {
  font-size: 48px;
  letter-spacing: 8px;
  color: white;
  opacity: 0;
  transform: translateY(30px);
  animation: textReveal 1s ease-out forwards;
  animation-delay: 1.2s;
}

@keyframes textReveal {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.menu-title {
  background: linear-gradient(90deg, #fff, #e4bd70, #fff);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* ===== COFFEE SECTIONS ===== */

.coffee-section {
  padding: 60px 20px;
}

.coffee-title {
  font-size: 40px;
  margin-bottom: 24px;
  text-transform: uppercase;
  letter-spacing: 10px;
  font-weight: bold;
  color: transparent;
  -webkit-text-stroke: 1px white;
  font-style: sans-serif Arial;
}

/* ===== HORIZONTAL SCROLL ===== */

.coffee-scroll {
  display: flex;
  gap: 18px;
  overflow-x: auto;
  padding-bottom: 30px;

  scroll-snap-type: x mandatory;
  -webkit-overflow-scrolling: touch;
}

.coffee-scroll::-webkit-scrollbar {
  display: none;
}

/* ===== CARD ===== */

.coffee-card {
  flex: 0 0 180px;
  height: 260px;

  background: #b1aeab;
  border-radius: 999px;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;

  padding: 16px;
  position: relative;
  overflow: hidden;

  scroll-snap-align: start;

  box-shadow: inset 0 0 0 1px rgba(0,0,0,0.04),
  0 12px 28 rgba(0,0,0,0.25);

  transition:
    transform 0.3s ease,
    box-shadow 0.3s ease;
    transition: all 0.3s ease;
}

/* ===== IMAGE ===== */

.coffee-card img {
  max-height: 300px;
  width: 300px;
  object-fit: contain;
  object-position: center;
  position: absolute;
  transform: scale(1.05);
  transition: transform 0.6s ease-out;
}

.coffee-card.touch-hover img {
  background-color: red;
  transform: scale(1.30) rotate(10deg);
}

/* ===== NAME ===== */

.coffee-name {
  margin-top: auto;
  font-size: 20px;
  font-weight: 800;
  color: #2b2b2b;
  text-align: center;
  z-index: 2;
  -webkit-text-stroke: 1px black;
  font-style: sans-serif Arial;
}

/* ===== LINK RESET ===== */

.card-link {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  height: 100%;
  width: 100%;
  text-decoration: none;
  color: black;
}

.modal {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.2);
  backdrop-filter: blur(10px);
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.35s ease-out;
  z-index: 999;
  overflow: hidden;
}

.modal.active {
  opacity: 1;
  pointer-events: all;
}

.modal-content {
  background: rgba(20, 15, 10, 0.2);
  backdrop-filter: blur(10px);
  width: 400px;
  border-radius: 35px;
  padding: 60px;
  position: relative;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  font-weight: 900;
}

@media (max-width: 768px) {
  .modal-content {
    width: 60%;
    height: 76%;
    border-radius: 30px;
  }

  .modal-body {
    flex-direction: column;
    text-align: center;
    align-items: center;
  }

  .modal-image img {
    width: 100%;
    height: auto;
  }

  .modal-info {
    transform: translateY(100px);
  }

  .modal-image {
    transform: translateY(-100px);
  }

  .modal.active .modal-info,
  .modal.active .modal-image {
    transform: translateY(0);
  }

  .arrow {
    display: flex;
  }

  .close-btn {
    top: 10px;
    right: 15px;
    font-size: 22px;
  }
}

.modal-body {
  display: flex;
  align-items: center;
  color: white;
}

.modal-image {
  flex: 1;
  transform: translateX(-300px);
  opacity: 0;
}

.modal-info {
  flex: 1;
  transform: translateX(300px);
  opacity: 0;
  padding: 10px;
}

.modal.active .modal-image {
  transform: translateX(0);
  opacity: 1;
  transition: all 1s ease;
}

.modal.active .modal-info {
  transform: translateX(0);
  opacity: 1;
  transition: all 1s ease 0.1s;
}

.modal-image img {
  width: 100%;
  height: auto;
}

.prices span {
  display: block;
  margin-top: 10px;
  font-weight: bold;
  color: red;
}

.close-btn {
  position: absolute;
  top: 20px;
  right: 25px;
  font-size: 28px;
  background: none;
  border: none;
  cursor: pointer;
  color: blue;
}

.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  border: none;
  font-size: 28px;
  cursor: pointer;
  color: blue;
}

.arrow.left { left: 10px; }
.arrow.right { right: 10px; }

/* CARD END*/
.coffee-footer {
  background: linear-gradient(to bottom, #f5e6d3 0%, #6f4e37 40%, #3e2723 100%);
  color: #fff;
  padding: 60px 20px;
  font-family: 'Poppins', sans-serif;
}

.coffee-container {
  max-width: 1200px;
  margin: auto;
}

.coffee-cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(170px, 1fr));
  gap: 20px;
  margin-bottom: 50px;
}

.coffee-cardd {
  background: transparent;
  color: #3e2723;
  text-align: center;
  padding: 25px;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
  transition: 0.3s;
}

.coffee-cardd h4 {
  color: black;
  font-weight: 700;
}

.coffee-cardd i {
  font-size: 28px;
  margin-bottom: 15px;
  color: #441c00;
}

.coffee-cardd:hover {
  transform: translateY(-8px);
}

/* Нижний блок */
.coffee-bottom {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
}

.coffee-info {
  flex: 1;
}

.coffee-info h2 {
  font-size: 28px;
  margin-bottom: 15px;
}

.coffee-info p {
  margin-bottom: 20px;
  line-height: 1.6;
}

/* Соцсети */
.coffee-socials a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 45px;
  height: 45px;
  margin-right: 10px;
  background: rgba(255, 255, 255, 0.15);
  border-radius: 50%;
  color: #fff;
  font-size: 18px;
  transition: 0.3s;
  text-decoration: none;
}

.coffee-socials a:hover {
  background: #d7a86e;
  color: #3e2723;
}

.private {
  background-color: black;
  font-size: 15px;
  text-transform: uppercase;
  letter-spacing: 1px;
  padding: 20px;
  text-align: center;
  font-weight: 800;
}


